Skip to main content
POST
/
matters
/
v1
/
{id}
/
work-items
/
{workItemId}
/
decision
curl -X POST "https://api.case.dev/matters/v1/%3Cstring%3E/work-items/%3Cstring%3E/decision" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "decision": "approve" }'

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required
workItemId
string
required

Body

application/json
decision
enum<string>
required
Available options:
approve,
revise,
block,
reassign
reason
string | null
agent_type_id
string | null
metadata
object

Response

200

Decision applied